Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface QueryResultDocument

All Superinterfaces:
  ReadableDocument, StatusDocument, WriteableDocument, XDSDocument

All Known Implementing Classes:
  XDSCommandResultDocument, XDSQueryResultDocument

public interface QueryResultDocument
extends ReadableDocument, StatusDocument

The document returned from method `execute(XmlDocument, XmlQueryProcessor)` of interface `XmlCommandProcessor` or method `query(XmlDocument)` of interface `XmlQueryProcessor` in response to a `<query>` command.

Method Summary
`XDSInstanceElement` | `appendInstanceElement()` Appends an empty, child `<instance>` element to this document's `<output>` element.
`XDSQueryTokenElement` | `appendQueryTokenElement(String someToken)` Appends an empty, child `<query-token>` element to this document's `<output>` element.
`boolean` | `containsQueryToken(String someToken)` Does this document contain a specific query token?
`boolean` | `containsQueryTokenElements()` Does this document contain query token elements?
`List` | `extractInstanceElements()` Returns this document's `<instance>` elements.
`List` | `extractQueryTokenElements()` Returns this document's`<query-token>` elements.
`List` | `extractStatusElements()` Returns this document's `<status>` elements.
`List` | `extractStatusElements(String someID)` Returns the status elements with an `event-id` attribute value equal to `someID`.
`XDSStatusElement` | `mostSevereStatusElement(String someID)` Returns the status element with the most severe `level` attribute value with an `event-id` attribute value equal to `someID`.
`StatusLevel` | `mostSevereStatusLevel(String someID)` Returns the most severe `level` attribute value for all `<status>` elements with an `event-id` attribute value equal to `someID`.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.ReadableDocument
`childElements, extractSourceElement, getDTDVersion`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSDocument
`domDocument, domIOElement, domNDSElement, isEmpty`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.StatusDocument
`appendStatusElement`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.WriteableDocument
`appendSourceElement, empty, toXML, validate`

Method Detail

### appendInstanceElement

    public XDSInstanceElement appendInstanceElement()

  Appends an empty, child `<instance>` element to this document's `<output>` element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendQueryTokenElement

    public XDSQueryTokenElement appendQueryTokenElement(String someToken)

  Appends an empty, child `<query-token>` element to this document's `<output>` element.

  Invocation Context:
    WRITE

  Parameters:
    `someToken` - the unique token for the source query of this document; should not be `null`
  Returns:
    will not return `null`

### mostSevereStatusElement

    public XDSStatusElement mostSevereStatusElement(String someID)

  Returns the status element with the most severe `level` attribute value with an `event-id` attribute value equal to `someID`.

  If no matching status element is found, the status element with the most severe level is returned irrespective of event-id value.

  Invocation Context:
    READ

  Parameters:
    `someID` - may be `null`
  Returns:
    may return `null`

### mostSevereStatusLevel

    public StatusLevel mostSevereStatusLevel(String someID)

  Returns the most severe `level` attribute value for all `<status>` elements with an `event-id` attribute value equal to `someID`.

  If no matching status element is found, the most severe status level is returned irrespective of event-id value. If no status info is available, StatusLevel.SUCCESS is returned.

  Invocation Context:
    READ

  Parameters:
    `someID` - may be `null`
  Returns:
    will not return `null`

### extractInstanceElements

    public List extractInstanceElements()

  Returns this document's `<instance>` elements.

  Invocation Context:
    READ

  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSInstanceElement` objects; will not return `null`

### extractStatusElements

    public List extractStatusElements(String someID)

  Returns the status elements with an `event-id` attribute value equal to `someID`.

  Invocation Context:
    READ

  Parameters:
    `someID` - may be `null`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSStatusElement` objects; will not return `null`

### extractStatusElements

    public List extractStatusElements()

  Returns this document's `<status>` elements.

  Invocation Context:
    READ

  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSStatusElement` objects; will not return `null`

### containsQueryTokenElements

    public boolean containsQueryTokenElements()

  Does this document contain query token elements?

  Invocation Context:
    READ

  Returns:
    `true` if it does, `false` otherwise

### containsQueryToken

    public boolean containsQueryToken(String someToken)

  Does this document contain a specific query token?

  Invocation Context:
    READ

  Parameters:
    `someToken` - may be `null`
  Returns:
    `true` if it does, `false` otherwise

### extractQueryTokenElements

    public List extractQueryTokenElements()

  Returns this document's`<query-token>` elements.

  Invocation Context:
    READ

  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSStatusElement` objects; will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD